%global momorel 2
Summary: module for reading files which are continously appended to.
Name: perl-File-Tail
Version: 0.99.3
Release: %{momorel}m
License: GPL or Artistic
Group: Development/Languages
URL: http://www.cpan.org/modules/by-module/File/
%NoSource 0 http://www.cpan.org/modules/by-module/File/File-Tail-%{version}.tar.gz ef0fb7bcb4181ba593f4a09940f61d1c
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl >= 5.8.5
##BuildPreReq: perl-Time-HiRes
BuildArch: noarch

%description
The File::Tail module is designed for reading files which are continously
appended to (the name comes from the tail -f directive). Usualy such files are
logfiles of some description.

%prep
rm -rf %{buildroot}

%setup -n File-Tail-%{version} -q

%build
CFLAGS="%{optflags}" perl Makefile.PL
make
make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_sitearch}/auto/File/Tail/.packlist
rm -f %{buildroot}%{perl_sitelib}/auto/File/Tail/autosplit.ix

%files
%defattr(-, root, root)
%{perl_sitelib}/File/*
%{_mandir}/man?/*

%doc Changes README

%clean
rm -rf %{buildroot}

%changelog
* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.99.3-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (0.99.3-1m)
- update to 0.99.3

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.99.1-1m)
- version up to 0.99.1
- built against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.98-11m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.98-10m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.98-9m)
- revised spec for rpm 4.2.

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.98-8m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.98-7m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (0.98-6m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.98-5m)
- rebuild against perl-5.8.0

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (0.98-4k)
- rebuild against for perl-5.6.1

* Sat Sep  1 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.98-2k)

* Fri Aug 18 2000 Toru Hoshina <t@kondara.org>
- rebuild against perl 5.600.

* Sat Mar 11 2000 Motonobu Ichimura <famao@kondara.org>
- fix .packlist problem

* Fri Feb 4 2000 Kyoichi Ozaki <k@afromania.org>
- 1st release
